## osso-ic-oss 0.36

=== debian/changelog ===
osso-ic-oss (0.36) unstable; urgency=low

  * titeras:
     - Fix disconnection signal handling to reconnect if needed
     - Implement res_nclose to workaround libresolv bugs
     - Revise close() to actually disconnect if no sockets are active

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 19 Oct 2005 08:17:27 +0300

osso-ic-oss (0.35) unstable; urgency=low

  * titeras:
    - Change a bit how the disconnected events are sent. Should fix #19194.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Wed, 14 Sep 2005 17:08:01 +0300

osso-ic-oss (0.34) unstable; urgency=low

  * titeras:
    - Fix the user_data argument for some of the unassociated events to be
      really NULL. (needed for fixing #18800 but does not close it)
    - Fix couple of memory leaks

 -- Kalle Valo <Kalle.Valo@nokia.com>  Tue, 13 Sep 2005 11:26:08 +0300

osso-ic-oss (0.33) unstable; urgency=low

  * added server certificate request and signal

 -- Kalle Valo <Kalle.Valo@nokia.com>  Wed, 24 Aug 2005 16:49:18 +0300

osso-ic-oss (0.32) unstable; urgency=low

  * titeras:
    - Add flight mode error to icd and ui (needed to fix #16097 properly)

 -- Kalle Valo <Kalle.Valo@nokia.com>  Wed, 10 Aug 2005 09:29:53 +0300

osso-ic-oss (0.31) unstable; urgency=low

  * flykt:
    - added strong bt pin signal

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri,  8 Jul 2005 12:02:49 +0300

osso-ic-oss (0.30) unstable; urgency=low

  * flykt:
    - updated sim pin reply signal arguments to conform with reality

 -- Kalle Valo <Kalle.Valo@nokia.com>  Wed, 29 Jun 2005 12:13:31 +0300

osso-ic-oss (0.29) unstable; urgency=low

  * Improved IC API documentation based on comments from the review.
  * titeras:
    - Add ICD_GET_STATE_REQ D-BUS request
    - Add two SAP related error messages

 -- Kalle Valo <Kalle.Valo@nokia.com>  Thu, 23 Jun 2005 10:38:50 +0300

osso-ic-oss (0.28) unstable; urgency=low

  * Removed obsolete OSSO_IAP_ACTIVITY_QUERY.
  * Minor fixes to API documentation.
  * Added examples osso-iap-connect and osso-socket.
  * flykt:
    - password dlg now needs and sends the name of the iap
  
 -- Kalle Valo <Kalle.Valo@nokia.com>  Mon,  6 Jun 2005 10:43:20 +0300

osso-ic-oss (0.27) unstable; urgency=low

  * arg (aka. user_data) is now set every time callback function is called.
  * All debug messages are printed only if DEBUG is enabled.
  * Enabled config.h.
  * flykt:
    - added boolean to the end of the ICD_UI_PRIVATE_KEY_PASSWD_SIG signal

 -- Kalle Valo <Kalle.Valo@nokia.com>  Thu, 26 May 2005 13:05:27 +0300

osso-ic-oss (0.26) unstable; urgency=low

  * flykt:
    - added signals for the private key password dialog

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri, 20 May 2005 16:39:02 +0300

osso-ic-oss (0.25) unstable; urgency=low

  * flykt: Updated header file with EAP GTC and MSCHAP change password dialogs
  * Improved IC API documentation.
  * Added C++ compatibility macros.
  
 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri, 20 May 2005 11:03:58 +0300

osso-ic-oss (0.24) unstable; urgency=low

  * Code cleanup.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Thu, 12 May 2005 15:05:29 +0300

osso-ic-oss (0.23) unstable; urgency=low

  * Comment fix.
  * DBUS API changed, use dbus_pending_call_steal_reply() instead of
    dbus_pending_call_get_reply().

 -- Kalle Valo <Kalle.Valo@nokia.com>  Wed, 11 May 2005 16:41:07 +0300

osso-ic-oss (0.22) unstable; urgency=low

  * Moved libipt-idletimer to a separate package.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri,  6 May 2005 19:51:14 +0300

osso-ic-oss (0.21) unstable; urgency=low

  * titeras:
    - Add "show disconnect dialog" request and "disconnect" signal

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri, 22 Apr 2005 16:39:57 +0300

osso-ic-oss (0.20) unstable; urgency=low

  * Grouped doxygen comments better.
  * Install files from usr/bin.
  * Call init() also from close().
  * Changed blocking API to osso_socket() and osso_close().

 -- Kalle Valo <Kalle.Valo@nokia.com>  Thu, 24 Mar 2005 16:59:18 +0200

osso-ic-oss (0.19) unstable; urgency=low

  * First versions of osso_iap_connect_blocking() and 
    osso_iap_disconnect_blocking().
  * Init preload library during the first socket call, not in constructor.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri, 18 Mar 2005 16:23:05 +0200

osso-ic-oss (0.18) unstable; urgency=low

  * Moved ic-client to osso-ic-test.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri, 18 Mar 2005 11:08:45 +0200

osso-ic-oss (0.17) unstable; urgency=low

  * SIM PIN D-BUS UI defines
  * No SAP / No WPA2 errors

 -- Kalle Valo <Kalle.Valo@nokia.com>  Thu,  3 Mar 2005 15:12:19 +0200

osso-ic-oss (0.16) unstable; urgency=low

  * Gateway hardware detection utility D-BUS defines
  * The preload library now prints something only for tracked sockets

 -- Kalle Valo <Kalle.Valo@nokia.com>  Thu, 27 Jan 2005 14:35:38 +0200

osso-ic-oss (0.15) unstable; urgency=low

  * Fixup library names

 -- Kalle Valo <Kalle.Valo@nokia.com>  Wed, 26 Jan 2005 11:53:07 +0200

osso-ic-oss (0.14) unstable; urgency=low

  * WLAN TX power added to global ICd GConf defines
  * New string parameter to UI retry request (the error)
  * Error definitions revised

 -- Kalle Valo <Kalle.Valo@nokia.com>  Sun, 16 Jan 2005 22:04:31 +0200

osso-ic-oss (0.13) unstable; urgency=low

  * iptables IDLETIMER userland plugin

 -- Kalle Valo <Kalle.Valo@nokia.com>  Thu,  9 Dec 2004 15:45:07 +0200

osso-ic-oss (0.12) unstable; urgency=low

  * Fix the LD_PRELOAD setting when the variable existed already

 -- Kalle Valo <Kalle.Valo@nokia.com>  Tue, 30 Nov 2004 12:06:15 +0200

osso-ic-oss (0.11) unstable; urgency=low

  * Do proper (un)escaping of GConf paths
  * Add connectivity_preload.sh (closes #2664)

 -- Kalle Valo <Kalle.Valo@nokia.com>  Mon, 15 Nov 2004 10:21:16 +0200

osso-ic-oss (0.10) unstable; urgency=low

  * get_current_ipinfo to D-BUS header
  * GConf defines for preferred IAP
  * Statistics messages contain also iap_name now
  * --timed parameter for ic-client


