=== debian/control ===
Source: osso-ic-oss
Priority: optional
Maintainer: Kalle Valo <Kalle.Valo@nokia.com>
Build-Depends: debhelper (>> 3.0.0), autotools-dev, libosso-dev, dbus-glib-1-dev (>= 0.22), libgconf2-dev (>> 2.6.4)
Standards-Version: 3.6.1
Section: net

Package: osso-ic-dev
Section: devel
Architecture: any
Depends: dbus-1-dev (>= 0.22), dbus-glib-1-dev (>= 0.22),
 libglib2.0-dev (>= 2.4.1-1), libosso-dev, osso-ic-lib, ${shlibs:Depends}
Description: Internet Connectivity header files
 This package contains header files required to compile programs using
 the Internet Connectivity API.

Package: osso-ic-lib
Section: net
Architecture: any
Depends: ${shlibs:Depends}
Description: Internet Connectivity Libraries
 Contains OSSO Internet Connectivity API libraries and compatiblity
 preload library for applications not using the API.
