## osso-ic-oss 1.0.2

=== debian/changelog ===
osso-ic-oss (1.0.2) unstable; urgency=low

  * Changed license to LGPLv2.1.
  * Added a Lintian override for 'osso-ic-lib:
    package-name-doesnt-match-sonames'.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri, 19 May 2006 10:24:11 +0300

osso-ic-oss (1.0.1) unstable; urgency=low

  * "Connect without asking" and "Disconnect on cover close" added
  * "Use preferred" and "preferred IAP" GConf options removed
  * SHOW_CONNDLG_REQ to get bool arg if CON-INF047 should be shown

 -- Timo Ter�s <timo.teras@nokia.com>  Mon, 13 Feb 2006 15:59:59 +0200

osso-ic-oss (1.0) unstable; urgency=low

  * Ported to D-BUS 0.60

 -- Timo Teras <timo.teras@nokia.com>  Wed, 16 Nov 2005 17:34:51 +0200
