=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: osso-ic-oss
 Priority: optional
-Maintainer: Kalle Valo <Kalle.Valo@nokia.com>
-Build-Depends: debhelper (>> 3.0.0), autotools-dev, libosso-dev, dbus-glib-1-dev (>= 0.22), libgconf2-dev (>> 2.6.4)
+Maintainer: Aapo Makela <Aapo.Makela@nokia.com>
+Build-Depends: debhelper (>> 3.0.0), autotools-dev, libosso-dev, libdbus-glib-1-dev (>= 0.60), libgconf2-dev (>> 2.6.4)
 Standards-Version: 3.6.1
 Section: net
 
 Package: osso-ic-dev
 Section: devel
 Architecture: any
-Depends: dbus-1-dev (>= 0.22), dbus-glib-1-dev (>= 0.22),
+Depends: libdbus-1-dev (>= 0.60), libdbus-glib-1-dev (>= 0.60),
  libglib2.0-dev (>= 2.4.1-1), libosso-dev, osso-ic-lib, ${shlibs:Depends}
 Description: Internet Connectivity header files
  This package contains header files required to compile programs using
