=== debian/rules ===
--- 
+++ 
@@ -70,6 +70,8 @@
 	# Add here commands to install the package into debian/tmp
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
+	install -D -m 644 debian/osso-ic-lib.lintian-override $(CURDIR)/debian/tmp/usr/share/lintian/overrides/osso-ic-lib
+
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
