## osso-ic-oss 1.0.4

=== debian/changelog ===
osso-ic-oss (1.0.4) unstable; urgency=low

  * Debug package creation added. Fixes: NB#40773.

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue,  3 Sep 2006 13:28:00 +0300

osso-ic-oss (1.0.3) unstable; urgency=low

  * Updated debian/copyright to match source code files. Fixes: NB#39112.
  * Not returning tmp connections in _get_configured_iaps. Fixes: NB#37340

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 31 Aug 2006 13:00:00 +0300
