=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: osso-ic-oss
 Priority: optional
-Maintainer: Aapo Makela <Aapo.Makela@nokia.com>
+Maintainer: Patrik Flykt <patrik.flykt@nokia.com>
 Build-Depends: debhelper (>> 3.0.0), autotools-dev, libosso-dev, libdbus-glib-1-dev (>= 0.60), libgconf2-dev (>> 2.6.4)
 Standards-Version: 3.6.1
 Section: net
@@ -22,4 +22,10 @@
  Contains OSSO Internet Connectivity API libraries and compatiblity
  preload library for applications not using the API.
 
-
+Package: osso-ic-lib-dbg
+Section: net
+Architecture: any
+Depends: osso-ic-lib (= ${Source-Version}), ${shlibs:Depends}
+Description: Debug symbols for Internet Connectivity Libraries
+ Contains debug symbols for OSSO Internet Connectivity API libraries and
+ compatiblity preload library for applications not using the API.
