=== debian/rules ===
--- 
+++ 
@@ -19,12 +19,11 @@
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
-ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -g
-endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
+
+CFLAGS += -g
 
 configure: configure.ac debian/changelog
 	./autogen.sh
@@ -97,7 +96,7 @@
 #	dh_undocumented
 	dh_installchangelogs
 	dh_link
-	dh_strip
+	dh_strip --dbg-package=osso-ic-lib
 	dh_compress
 	dh_fixperms
 #	dh_gconf
